Skip to content

getStockTransferLine

READ

Get stock transfer line.

POST /api/v1/inventory/getStockTransferLine
curl -X POST '<your-host>/api/v1/inventory/getStockTransferLine' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "stockTransferLineId": "string"
  }'
Response
{
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "fromStorageUnitId": "string",
  "fromStorageUnitName": "string",
  "id": "string",
  "itemDescription": "string",
  "itemId": "string",
  "itemReadableId": "string",
  "jobId": "string",
  "jobMaterialId": "string",
  "outstandingQuantity": 0,
  "pickedQuantity": 0,
  "quantity": 0,
  "requiresBatchTracking": true,
  "requiresSerialTracking": true,
  "stockTransferId": "string",
  "thumbnailPath": "string",
  "toStorageUnitId": "string",
  "toStorageUnitName": "string",
  "trackedEntityId": "string",
  "unitOfMeasure": "string",
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "stockTransferLineId": {
      "type": "string"
    }
  },
  "required": [
    "stockTransferLineId"
  ]
}